import requests
from api_auth import APICredentials, APIParams 
 
class KeyRotationSchedule:
    def __init__(self):
        self.host = "https://services.uplynk.com"
 
    def run(self):
        """
        Retrieve your key rotation schedule.
        """
        self._get_key_rotation_schedule()
 
    def _get_key_rotation_schedule(self):
        url = "{}{}".format(self.host, "/api/v3/drm/key-rotation-schedule")
 
        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({})
        )
 
        print(response.json())
 
KeyRotationSchedule().run()